| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

- Data Structures
- Data Fields

Data Fields
arm_matrix_instance_q15 Struct Reference

Instance structure for the Q15 matrix structure.

## Data Fields

uint16_t | numRows
uint16_t | numCols
q15_t * | pData

## Field Documentation

uint16_t arm_matrix_instance_q15::numCols

number of columns of the matrix.

Referenced by arm_mat_add_q15(), arm_mat_init_q15(), arm_mat_mult_fast_q15(), arm_mat_mult_q15(), arm_mat_scale_q15(), arm_mat_sub_q15(), and arm_mat_trans_q15().

uint16_t arm_matrix_instance_q15::numRows

number of rows of the matrix.

Referenced by arm_mat_add_q15(), arm_mat_init_q15(), arm_mat_mult_fast_q15(), arm_mat_mult_q15(), arm_mat_scale_q15(), arm_mat_sub_q15(), and arm_mat_trans_q15().

q15_t* arm_matrix_instance_q15::pData

points to the data of the matrix.

Referenced by arm_mat_add_q15(), arm_mat_init_q15(), arm_mat_mult_fast_q15(), arm_mat_mult_q15(), arm_mat_scale_q15(), arm_mat_sub_q15(), and arm_mat_trans_q15().